#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	Library to generate ODF documents from librevenge API calls
Summary(pl.UTF-8):	Biblioteka do generowania dokumentów ODF z wywołań API librevenge
Name:		libodfgen
Version:	0.1.8
Release:	2
License:	MPL v2.0 or LGPL v2.1+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libwpd/%{name}-%{version}.tar.xz
# Source0-md5:	08c95c4b18c490a60394cc92fe9cb303
URL:		http://libwpd.sourceforge.net/
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.11
BuildRequires:	librevenge-devel >= 0.0
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool >= 2:2
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig >= 1:0.20
BuildRequires:	rpm-build >= 4.6
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library to generate ODF documents from librevenge API calls.

%description -l pl.UTF-8
Biblioteka do generowania dokumentów ODF z wywołań API librevenge.

%package devel
Summary:	Header files for libodfgen library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libodfgen
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	librevenge-devel >= 0.0
Requires:	libstdc++-devel >= 6:4.7

%description devel
Header files for libodfgen library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libodfgen.

%package static
Summary:	Static libodfgen library
Summary(pl.UTF-8):	Statyczna biblioteka libodfgen
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libodfgen library.

%description static -l pl.UTF-8
Statyczna biblioteka libodfgen.

%package apidocs
Summary:	libodfgen API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libodfgen
Group:		Documentation
BuildArch:	noarch

%description apidocs
libodfgen API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libodfgen.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static} \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libodfgen-*.la
# packaged as %doc in -apidocs
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libodfgen

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libodfgen-0.1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libodfgen-0.1.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libodfgen-0.1.so
%{_includedir}/libodfgen-0.1
%{_pkgconfigdir}/libodfgen-0.1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libodfgen-0.1.a
%endif

%files apidocs
%defattr(644,root,root,755)
%doc docs/doxygen/html/*
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libodfgen.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 4661740
- rebuild with separate debuginfo build-ids

* Tue Mar 30 2021 Jakub Bogusz <qboosh@pld-linux.org> 7ac445d
- updated to 0.1.8

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 1b06412
- unconditional noarch subpackages

* Fri Jul 13 2018 Jakub Bogusz <qboosh@pld-linux.org> da7b783
- updated to 0.1.7; now C++ 11 is the only option

* Fri Apr 29 2016 Elan Ruusamäe <glen@delfi.ee> e751333
- noarch apidocs

* Fri Jan 15 2016 Jakub Bogusz <qboosh@pld-linux.org> f7f5bcd
- updated to 0.1.6

* Sat Oct 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 61402e8
- updated to 0.1.5
- configure now sets -std=c++11 if necessary
- bumped required gcc (-std=c++11 requires 4.7, earlier required -std=c++0x)

* Thu May 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 135ef7b
- updated to 0.1.4

* Mon Apr 06 2015 Jan Rękorajski <baggins@pld-linux.org> 8fe7041
- x32 rebuild
- release 2 (by relup.sh)

* Wed Feb 11 2015 Jakub Bogusz <qboosh@pld-linux.org> d09b0d6
- updated to 0.1.3

* Sat Nov 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 86f1393
- updated to 0.1.2

* Thu Jun 05 2014 Jakub Bogusz <qboosh@pld-linux.org> ea427e5
- updated to 0.1.1

* Sun May 25 2014 Jakub Bogusz <qboosh@pld-linux.org> c85d686
- updated to 0.1.0 (now librevenge based; new soname, 0.0.x left on libodfgen-0.0 branch)
- switched from boost::shared_ptr to C++11 std::shared_ptr

* Sun Dec 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 141b7f3
- updated to 0.0.4

* Sun Nov 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 777bd05
- updated to 0.0.3 (now requires libtonyek); added -apidocs

* Fri Jun 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 75eff29
- new

